apiVersion: v1
kind: Service
metadata:
  name: service-ghost-k8s
  labels:
    app: ghost-k8s
    app.kubernetes.io/name: ghost-k8s
    app.kubernetes.io/instance: ghost-k8s
    app.kubernetes.io/version: "5.8"
    app.kubernetes.io/component: service-ghost
    app.kubernetes.io/part-of: ghost-k8s
    app.kubernetes.io/managed-by: sredevopsorg

spec:
  ports:
  - port: 2368
    protocol: TCP
    targetPort: 2368
    nodePort: 30030
    name: ghk8s
  type: NodePort
  selector:
    app: ghost-k8s

---
apiVersion: v1
kind: Service
metadata:
  name: service-mysql-ghost-k8s
  labels:
    app: mysql-ghost-k8s
    app.kubernetes.io/name: mysql-ghost-k8s
    app.kubernetes.io/instance: ghost-k8s
    app.kubernetes.io/version: "5.8"
    app.kubernetes.io/component: service-db
    app.kubernetes.io/part-of: ghost-k8s
    app.kubernetes.io/managed-by: sredevopsorg
spec:
  ports:
  - port: 3306
    protocol: TCP
    targetPort: 3306
    nodePort: 30031
    name: mysqlgh
  type: NodePort
  selector:
    app: mysql-ghost-k8s

